--[[================================================
	
	Instructions for Setting up oUF_RaidDebuffs
	
===================================================]]

--[[
	Settings and debuff data
	
	You can put these in your layout file, or keep it saparated
]]


local _, ns = ...
local ORD = ns.oUF_RaidDebuffs or oUF_RaidDebuffs

if not ORD then return end


ORD.ShowDispelableDebuff = true
ORD.FilterDispellableDebuff = true
ORD.MatchBySpellName = true -- false: matching by spellID
ORD.SHAMAN_CAN_DECURSE = true


local debuff_data = {
  "Aufgespiet", -- Impaled (Lord Marrowgar)
  "Fluch der Starre", -- Curse of Torpor (Lady Deathwhisper)
  "Mal des gefallenen Champions", -- Mark of the Fallen Champion (Deathbringer Saurfang)
  "Rune des Blutes", -- Rune of Blood (Deathbringer Saurfang)
  "Gasspore", -- Gas Spore (Festergut)
  "Mutierte Infektion", -- Mutated Infection (Rotface)
  "Pakt der Sinistren", -- Pact of the Darkfallen (Blood-Queen Lana'thel)
  "Schw\195\164rmende Schatten", -- Swarming Shadows (Blood-Queen Lana'thel)
  "Frostleuchtfeuer", -- Frost Beacon (Sindragosa)
  "Nekrotische Seuche", -- Necrotic Plague (Arthas)
  "Seele ernten", -- Harvest Soul (Arthas)
}  

ORD:RegisterDebuffs(debuff_data)

--[[
	Extra stuff
	
	Load debuff data depanding on the zone


local debuff_data = {
	['some place'] = {
		123, 12345
	},
	['other place'] = {
		54321, 321
	}
}

local f = CreateFrame'Frame'
f:SetScript('OnEvent', function(self, event, ...)
	self[event](self, event, ...)
end)


f:RegisterEvent('PLAYER_ENTERING_WORLD')
function f:PLAYER_ENTERING_WORLD()
	ORD:ResetDebuffData()
	
	local zone = GetRealZoneText()
	local zone_data = debuff_data[zone]
	if zone_data then
		ORD:RegisterDebuffs(zone_data)
	end
end]]

